// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk word_is.pov declare=WordStr=\"sphere\"
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end
#declare V = word_is(WordStr);
#switch(V)
    #case(-6)
        #debug concat("\n'",WordStr,"' is a former ini file keyword or command line flag.\n\n")
    #break
    #case(-5)
        #debug concat("\n'",WordStr,"' is a former parsed function pretending to be inbuilt.\n\n")
    #break
    #case(-4)
        #debug concat("\n'",WordStr,"' is a former inbuilt, vm function. Removed from yuqk.\n\n")
    #break
    #case(-3)
        #debug concat("\n'",WordStr,"' is a former pseudo / hidden keyword.\n\n")
    #break
    #case(-2)
        #debug concat("\n'",WordStr,"' is a former Scene Description Language (SDL) directive\n\n")
    #break
    #case(-1)
        #debug concat("\n'",WordStr,"' is a former Scene Description Language (SDL) keyword\n\n")
    #break
    #case(0)
        #debug concat("\n'",WordStr,"' is not currently used within POV-Ray\n\n")
    #break
    #case(+1)
        #debug concat("\n'",WordStr,"' is a current Scene Description Language (SDL) keyword\n\n")
    #break
    #case(+2)
        #debug concat("\n'",WordStr,"' is a current Scene Description Language (SDL) directive\n\n")
    #break
    #case(+3)
        #debug concat("\n'",WordStr,"' is a pseudo / hidden keyword.\nLikely, a configurable option when POV-Ray (yuqk) is compiled.\n\n")
    #break
    #case(+4)
        #debug concat("\n'",WordStr,"' is a current inbuilt, vm function declared in functions.inc or cfunctions.inc\n\n")
    #break
    #case(+5)
        #debug concat("\n'",WordStr,"' is a current parsed function pretending to be inbuilt.\n\n")
    #break
    #case(+6)
        #debug concat("\n'",WordStr,"' is a current ini file keyword or command line flag.\n\n")
    #break
    #else
        #error "Value outside that expected from word_is()"
#end
#error "\nStopping after parsing."

//--- scene ---
